#### Previous topic

scipy.special.btdtrib

#### Next topic

scipy.special.fdtrc

# scipy.special.fdtr

`scipy.special.``fdtr`(dfn, dfd, x) = <ufunc 'fdtr'>

  F cumulative distribution function.

  Returns the value of the cumulative density function of the F-distribution, also known as Snedecor’s F-distribution or the Fisher-Snedecor distribution.

  The F-distribution with parameters \(d_n\) and \(d_d\) is the distribution of the random variable,

  \[X = \frac{U_n/d_n}{U_d/d_d},\]

  where \(U_n\) and \(U_d\) are random variables distributed \(\chi^2\), with \(d_n\) and \(d_d\) degrees of freedom, respectively.

  Parameters:

  dfn : array_like

  > First parameter (positive float).

  dfd : array_like

  > Second parameter (positive float).

  x : array_like

  > Argument (nonnegative float).

  Returns:

  y : ndarray

  > The CDF of the F-distribution with parameters dfn and dfd at x.

  Notes

  The regularized incomplete beta function is used, according to the formula,

  \[F(d_n, d_d; x) = I_{xd_n/(d_d + xd_n)}(d_n/2, d_d/2).\]

  Wrapper for the Cephes [R388] routine `fdtr`.

  References

  [R388] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html